Get User By ID

View as Markdown

Returns user details given their userId. We recommend a rate limit of 5 req/sec for this endpoint.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

userIdstringRequired
ID of user to fetch details for

Response headers

X-RateLimit-Limitinteger
The maximum number of requests you're permitted to make per minute.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-RateLimit-Resetstring or null
The remaining window before the rate limit FULLY resets in UTC epoch seconds.

Response

A single user
userobject
system_identityobject
last_updated_atstringformat: "timestamp"

Represents the timestamp indicating the most recent modification or update made to the user’s information (in ISO-8601 UTC)